For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
  • Introduction
    • Overview
    • Authentication
    • Versioning
    • Limits
    • Pagination
    • Errors
    • Migrate to V2
    • Changelog
  • Knowledge
    • Overview
    • Sources
    • Articles
    • Tags
  • End Users
    • Overview
    • Getting started
    • Developer guide
  • Integrations
    • Overview
    • Getting started
  • Conversations
    • Overview
    • Getting started
  • Webhooks
    • Overview
  • Data Compliance
    • Overview
  • Data Export
    • Overview
    • Getting started
    • Conversations
    • Messages
Login
LogoLogo
On this page
  • Request example
  • Query parameters
  • Response example
Introduction

Pagination

Previous

Errors

Next
Built with

Ada’s APIs use cursor-based pagination when retrieving large lists. API calls can include an optional limit query parameter to specify the number of records returned per request.

Request example

GET
/api/v2/end-users/
1curl https://example.ada.support/api/v2/end-users/ \
2 -H "Authorization: Bearer <token>"
Try it

Query parameters

  • limit: The number of records to return.
  • cursor: The id that marks the start or beginning of the returned records. This is also provided in the next_page_url from the previous response.

Response example

Response
1{
2 "end_user_id": "5f7e0e2c1e7c7e000f0f9c3a",
3 "profile": {
4 "first_name": "Ada",
5 "last_name": "Lovelace",
6 "display_name": "Ada Lovelace",
7 "avatar": "https://example.com/avatars/ada.png",
8 "email": "ada.lovelace@ada.cx",
9 "language": "en-US",
10 "metadata": {
11 "example_key1": "example_string_value",
12 "example_key2": true,
13 "example_key3": 123
14 },
15 "system_properties": {
16 "sunshine_user_id": "5f7e0e2c1e7c7e000f0f9c3a"
17 }
18 },
19 "created_at": "2020-09-20T00:00:00+00:00",
20 "updated_at": "2020-09-20T00:00:00+00:00"
21}

Use the next_page_url to continue fetching additional data with subsequent requests.